<ng-container *ngIf="access else loading_screen">
  <section class="content-header">
    <h1 class="page-head-line">LEVELS</h1>
  </section>

  <section class="content">
    <div class="container">
      <div class="row justify-content-center">

        <div class="col-md-8">
          <div class="">

            <div class="form-group row">
              <div class="col-md-6 col-sm-8 mb-4">
                <input *ngIf="!obj" type='text' name="search" [(ngModel)]="search" (keyup)='updateFilter()' class="form-control form-control-sm mb-0"
                  placeholder='Seach here' />

                <form *ngIf="obj" #levelForm=ngForm (ngSubmit)="save()" class="mb-0">
                  <div class="input-group">

                    <input type="text" [(ngModel)]="obj.level_name" name="name" class="form-control form-control-sm" placeholder="Level name"
                      required>
                    <button type="submit" [disabled]="!levelForm.valid" class="btn btn-primary btn-flat btn-sm px-2">
                      <span class="fa fa-save"></span>
                    </button>
                    <button type="button" (click)="cancel()" class="btn btn-danger btn-sm btn-flat px-2">
                      <span class="fa fa-times"></span>
                    </button>
                  </div>
                </form>
              </div>

              <div class="col-md-6 col-sm-6 mb-2">
                <div *ngIf="access.can_add" class="float-right">
                  <button type="button" (click)="add()" class="btn btn-flat btn-sm clr-white bk-clr-three">
                    <span class="fa fa-plus"></span>
                    Add
                  </button>
                </div>
              </div>
            </div>

            <ngx-datatable class="material" [rows]="levels" [loadingIndicator]="loading" [columnMode]="'force'" [headerHeight]="45" [footerHeight]="40"
              [rowHeight]="'auto'" [limit]="5">

              <ngx-datatable-column prop="id" name="ID" [headerClass]="'text-center'" [cellClass]="'text-center'"></ngx-datatable-column>
              <ngx-datatable-column prop="level_name" name="Level name"></ngx-datatable-column>

              <ngx-datatable-column name="Action" [headerClass]="'text-center'" [cellClass]="'text-center'">
                <ng-template let-row="row" ngx-datatable-cell-template>
                  <button *ngIf="access && access.can_edit" type="button" class="btn btn-link mr-2" (click)="edit(row)">
                    <span title="Edit this room" class="fa fa-edit"></span>
                  </button>
                  <button *ngIf="access && access.can_delete" type="button" class="ml-auto btn btn-link btn-sm text-white mr-2" placement="top"
                    [ngbPopover]="popDeleteContent" [popoverTitle]="popDeleteTitle" container="body" #deletePop="ngbPopover">
                    <span class="fa fa-trash text-red"></span>
                  </button>

                  <ng-template #popDeleteTitle>
                    <small>
                      <b>
                        Confirm delete
                      </b>
                    </small>
                  </ng-template>

                  <ng-template #popDeleteContent>

                    <p>Are you sure you want to delete this level?</p>
                    <p class="small">
                      <strong>Name:</strong> {{ row.level_name }}
                    </p>

                    <div class="d-flex my-2">
                      <div class="ml-auto">

                        <button type="button" class="btn btn-link px-2" (click)="delete(row.id)" data-toggle="tooltip" data-placement="bottom" title="Yes">
                          <span class="fa fa-check text-green"></span>
                        </button>
                        <button type="button" class="btn btn-link px-2" data-toggle="tooltip" data-placement="bottom" title="No">
                          <span class="fa fa-times text-red"></span>
                        </button>
                      </div>

                    </div>
                  </ng-template>
                </ng-template>
              </ngx-datatable-column>
            </ngx-datatable>
          </div>
        </div>

      </div>
    </div>
  </section>
</ng-container>

<ng-template #loading_screen>
  <app-loading></app-loading>
</ng-template>